## ide-fallback-build-system ide-fallback-build-system |

## Functions

IdeBuildSystem * | ide_fallback_build_system_new ()

## Properties

GFile * | project-file | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_FALLBACK_BUILD_SYSTEM
| IdeFallbackBuildSystem

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeFallbackBuildSystem

## Implemented Interfaces

IdeFallbackBuildSystem implements IdeBuildSystem.

## Description

## Functions

### ide_fallback_build_system_new ()

    IdeBuildSystem *
    ide_fallback_build_system_new (void);

Creates a new IdeFallbackBuildSystem.

#### Returns

an IdeBuildSystem.

[transfer full]

Since: 3.32

## Types and Values

### IDE_TYPE_FALLBACK_BUILD_SYSTEM

    #define IDE_TYPE_FALLBACK_BUILD_SYSTEM (ide_fallback_build_system_get_type())

### IdeFallbackBuildSystem

    typedef struct _IdeFallbackBuildSystem IdeFallbackBuildSystem;

## Property Details

### The `“project-file”` property

      “project-file”             GFile *

The "project-file" property is the primary file representing the projects build system.

Owner: IdeFallbackBuildSystem

Flags: Read / Write / Construct Only

Since: 3.32